Subject: [Ieprep] RE: last-mile connectivity, link-state optimisation, IAA, etc

From: "Ayyasamy, Senthilkumar (UMKC-Student)" <[email-masked]>
Date: Sun, 10 Nov 2002 13:12:15 -0600

> > I was referring to the objective function, which is used for
> > optimizing OSPF weights. Studying some of the failure cases will
> > throw light into service availability ( namely rate of failures
> > and things.) This information may form the basis for indentifying
> > the "correct" objective function, which truely reflects the
> > network condition.
> >
> > For example, ATT's Netscope does traffic engineering by optimizing
> > OSPF weights. They got the objective funtion by talking with their
> > network engineers..
> > (http://www.research.att.com/~jrex/papers/ieeecomm02.long.pdf
> > Look for the objective function listed in section 3.2. It was
> > obtained on discussion with ATT backbone engineers.)
> 
> My impression has been that few ISPs actually optimise their 
> link-state
> routing weights (ISIS or OSPF).
your correct.. Even if they do, it is done only when a new router is
added to the network or during a maintenance window. Other major
assumption is that the network is over-provisioned.

> >  Dynamic routing in application layer( TRIP) is feasible, while it
> > is not possible in Network layer(QoS routing) at present.
> I'm sure I don't understand that sentence.  

I was mentioning about the alternate path routing. While BGP/OSPF are 
dynamic, it is no so dynamic as QoS routing. QoS routing
is an alternative, but is not currently feasible. 

https://www1.ietf.org/mail-archive/working-groups/ieprep/current/msg00789.html
https://www1.ietf.org/mail-archive/working-groups/ieprep/current/msg00793.html
https://www1.ietf.org/mail-archive/working-groups/ieprep/current/msg00831.html

> 
> 
> > The IAA system will be very useful at times. We can even help
> > them standardize the meta-data records/querying&searching formats
> > to be used in a IAA distributed database. But, scalability of IAA
> > system is still questionable.
> 
> One can question anything.  
> what  is the basis for that concern ?

http://www.isoc.org/inet2000/cdproceedings/8l/8l_3.htm and the reference
quoted in that isoc presentation.

> What is your particular concern 

while i think that such a system will be useful,their needs to be lot of
work to be done before such a system is depolyed widely..

- Make it more scalable.
- Architecture changes ( A peer to peer based solution will make the system
robust, scalable and authentic to use.)
- need for querying/searching formats (making it light weight)
- need for Meta-data entries standardization.
- lack of Load balancing 
- lack of Proximity routing/ topology-aware techniques
 I can list more concerns but these are the main problems with that system.
_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep

---

From: RJ Atkinson <[email-masked]>
Date: Sun, 10 Nov 2002 18:37:14 -0500

On Sunday, Nov 10, 2002, at 14:12 America/Montreal, Ayyasamy, 
> quoted in that isoc presentation.

I have trouble extrapolating a particular "scalability" issue about
IAA from that INET conference presentation.  Seems to me that they
are making good progress on scaling and haven't hit any wall so far.

>  I can list more concerns but these are the main problems with that 

I don't think those things are necessarily necessary for IAA,
based on their experience to date (from public reporting via
the published literature and talking with individuals with WIDE).
Now that is not to say that some of the above aren't nice optimisations,
just that they don't seem obviously *necessary* for IAA to work 
adequately

Ran